NAME="gst-plugins-bad"
DESC="Set of GStreamer plug-ins that aren't up to par compared to the rest"
VERSION="1.22.10"

FILES=("https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-${VERSION}.tar.xz")
HASHES=("8e81739d264c32a10be011b235b454ce")

DEPENDS=(
  "gst-plugins-base" "bzip2" "cairo"
  "curl" "faad2" "gcc-libs"
  "glib" "glibc" "json-glib"
)
BUILD=("gobject-introspection" "graphene")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  mkdir build
  cd    build

  meson  setup ..                                                    \
       --prefix=/usr                                                 \
       --buildtype=release                                           \
       -Dgpl=enabled                                                 \
       -Dpackage-origin="https://git.matterlinux.xyz/Matter/desktop" \
       -Dpackage-name="GStreamer ${VERSION}"

  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
