NAME="polkit"
DESC="Toolkit for defining and handling authorizations"
VERSION="124"

FILES=(
  "https://gitlab.freedesktop.org/polkit/polkit/-/archive/${VERSION}/polkit-${VERSION}.tar.gz"
  "polkit-${VERSION}-polkitd_uid-to-meson_post_install.py.patch"
)
HASHES=(
  "97db655618e1483706fbc764787c7d6e"
  "34bc2831f2354a30c87fd71894e4b870e2e73a5840350cc5dda94d61108d1792"
)

DEPENDS=(
  "duktape" "expat" "glib"
  "glibc" "linux-pam" "systemd"
  "libxslt"
)
BUILD=(
  "dbus" "gobject-introspection" "gtk-doc"
  "meson"
)

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  patch -Np1 -i "../polkit-${VERSION}-polkitd_uid-to-meson_post_install.py.patch"
  export CFLAGS+=" -Wno-implicit-function-declaration "

  mkdir build
  cd    build

  meson setup ..                          \
      --prefix=/usr                       \
      --buildtype=release                 \
      -Dpolkitd_uid=1027                  \
      -Dpolkitd_user=polkitd              \
      -Dman=true                          \
      -Dsession_tracking=libsystemd-login \
      -Dtests=true                       
  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -r "${NAME}-${VERSION}"
}

INSTALL(){
  groupadd -fg 1027 polkitd
  useradd -c "PolicyKit Daemon Owner" -d /etc/polkit-1 -u 1027 \
        -g polkitd -s /bin/false polkitd
  exit 0
}
